package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrLock;

/**
 * 锁开锁关阀门状态Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrLockMapper
{
    /**
     * 查询锁开锁关阀门状态
     *
     * @param id 锁开锁关阀门状态ID
     * @return 锁开锁关阀门状态
     */
    public TPssrLock selectTPssrLockById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询锁开锁关阀门状态列表
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 锁开锁关阀门状态集合
     */
    
    public List<TPssrLock> selectTPssrLockList(TPssrLock tPssrLock);

    /**
     * 新增锁开锁关阀门状态
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    public int insertTPssrLock(TPssrLock tPssrLock);

    /**
     * 修改锁开锁关阀门状态
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    public int updateTPssrLock(TPssrLock tPssrLock);
    public int updateTPssrLockByIds(TPssrLock tPssrLock);



    /**
     * 删除锁开锁关阀门状态
     *
     * @param id 锁开锁关阀门状态ID
     * @return 结果
     */
    public int deleteTPssrLockById(Long id);

    /**
     * 批量删除锁开锁关阀门状态
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrLockByIds(Long[] ids);
}
